Page MenuHomePhabricator

Hacking: Shrinkify MobileFrontend responses
Closed, ResolvedPublic

Description

Reach Jon Robson (jdlrobson) on Freenode webchat on the #wikimedia-mobile channel. Please join us if you are interested in performance or have experience in this area.

In this session we will be exploring the question "What's the smallest-possible-but-still-usable page that we can deliver to the user?"

MobileFrontend has a whole bunch of rich features and more keep getting added every sprint. The Mobile Web team does a good job of deferring loading resources until we absolutely have to, but I think that we could do more.

Your mission, should you choose to accept it, is to help produce a patch that'll trim as much of the fat as aggressively as possible.

187062 could be a starting point for this project. It simply limits the response to the lead section of the article. From here we could:

  • figure out the minimum set of styles to deliver
  • stop delivering JavaScript modules altogether
  • replace images with tappable placeholders

Event Timeline

phuedx created this task.Feb 26 2015, 1:41 PM
phuedx claimed this task.
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 1:41 PM
phuedx updated the task description. (Show Details)Feb 26 2015, 1:45 PM
phuedx set Security to None.

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

phuedx renamed this task from Shrinkify MobileFrontend responses to Hacking: Shrinkify MobileFrontend responses.May 19 2015, 3:19 PM
phuedx updated the task description. (Show Details)

In T97570 @Gilles says "The Barack Obama article might be a bit of an extreme example due to its length, but in that case the API data needed for section 0's text + the list of sections is almost 30 times smaller than the data needed for all sections's text (5.9kb gzipped versus 173.8kb gzipped)."

Jdlrobson updated the task description. (Show Details)May 21 2015, 6:21 PM
Jdlrobson updated the task description. (Show Details)May 23 2015, 7:36 AM

Couple of notes:

This was something interesting that I discovered recently. NPR provides a text only version of their site at http://thin.npr.org

I have no idea how they handle this on the backed, but it might be worth learning about.

Qgil closed this task as Resolved.May 24 2015, 8:19 PM